All pages
Powered by GitBook
1 of 6

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Create batch

Get batch attachment

Get batch

List batches

State diagram

The state transition diagram of a message batch.

Batch

The Batch object represents an email being sent to a specific category and multiple contacts.

This object contains the following attributes:

Field
Type
Description

id

string, core

(Read-only) A primary identifier for the batch.

href

string, core

(Read-only) A relative reference to the object.

category

object, core

Represents the object.

account

object, core

Represents the object.

subject

string, core

The subject line of the notification email.

body

string

The body of the message.

attachments

object

(Read-only) Represents the attachment object. Example:

BATCH OBJECT
{
  "id": "MST-1234-9876-3333",
  "href": "/v1/notifications/batches/MST-1234-9876-3333",
  "category": {
    "id": "NTC-1234-9876",
    "href": "/v1/notifications/categories/NTC-1234-9876",
    "name": "Orders",
    "shortDescription": "Includes updates about order confirmations, order status updates, and related communications."
  },
  "account": {
    "id": "ACC-5131-0044",
    "href": "/accounts/accounts/ACC-5131-0044",
    "type": "Client",
    "status": "Active",
    "name": "SURFMARKET BV"
  },  
  "subject": "Order published",
  "body": "<b>Hello</b>",
}

Example

category
account
[
  {
    "id": "ATT-1234-1234-1234",
    "name": "Some mail attachment",
    "contentType": "application/octet-stream",
    "fileSize": 1234,
    "fileName": "SomeFile.pdf",
    "href": "/v1/notifications/messages/attachments/ATT-1234-1234-1234"
  },
  {
    "id": "ATT-9876-9876-9876",
    "name": "Some other mail attachment",
    "contentType": "application/octet-stream",
    "fileSize": 9876,
    "fileName": "SomeOtherFile.pdf",
    "href": "/v1/notifications/messages/attachments/ATT-9876-9876-9876"
  }
]

Gets a resource by ID.

get

Returns the resource with the specified ID. Use the select query parameter to specify which fields to include.

Path parameters
idstringRequired

The resource ID.

Query parameters
selectstringOptional

Optional RQL select statement to filter fields.

Responses
200

OK

application/json

Represents a batch of notification messages that share common properties.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
idstringOptional

Gets or sets the unique identifier for the attachment.

hrefstring · nullableRead-onlyOptional

Gets the URL to download the attachment.

namestringOptional

Gets or sets the display name for the attachment.

fileNamestringOptional

Gets or sets the file name of the attachment.

fileSizeinteger · int32Optional

Gets or sets the size of the attachment in bytes.

contentTypestringOptional

Gets or sets the content type of the attachment.

bodystring · nullableOptional

Gets or sets the body content for messages in this batch.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

optOutAllowedbooleanOptional

Gets or sets a value indicating whether recipients can opt out of notifications in this category.

statusstringOptional

Gets or sets the current status of the category.

notestring · nullableOptional

Gets or sets an optional note about the category.

deleteAllowedbooleanOptional

Gets or sets a value indicating whether this category can be deleted.

monthinteger · int32Optional

Gets or sets the number of messages sent in the current month.

todayinteger · int32Optional

Gets or sets the number of messages sent today.

weekinteger · int32Optional

Gets or sets the number of messages sent in the current week.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

enabledByDefaultbooleanOptional

Gets or sets a value indicating whether this category is enabled by default for new recipients.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

accountTypesstring[]Optional

Gets or sets the list of account types for which this template should trigger.

filterConditionstringOptional

Gets or sets the RQL filter condition that must be satisfied for the template to trigger.

objectTypestringOptional

Gets or sets the platform object type this template monitors.

selectorstringOptional

Gets or sets the RQL filter condition that must be satisfied for the template to trigger.

idstringOptional
revisioninteger · int32Optional
defaultbooleanOptional

Gets or sets a value indicating whether this is the default variant for the parent template.

languageCodestringOptional

Gets or sets the language code for this variant.

statusstringOptional

Gets or sets the current status of the variant.

descriptionstring · nullableOptional

Gets or sets the description of this template.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this template was last used to send a notification.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
monthinteger · int32Optional

Gets or sets the number of messages sent in the current month.

todayinteger · int32Optional

Gets or sets the number of messages sent today.

weekinteger · int32Optional

Gets or sets the number of messages sent in the current week.

statusstringOptional

Gets or sets the current status of the template.

idstringOptional
revisioninteger · int32Optional
defaultbooleanOptional

Gets or sets a value indicating whether this is the default variant for the parent template.

languageCodestringOptional

Gets or sets the language code for this variant.

statusstringOptional

Gets or sets the current status of the variant.

externalIdstring · nullableOptional

Gets or sets an external identifier for integration with external systems.

bouncedinteger · int32Optional

Gets or sets the number of messages that bounced.

complainedinteger · int32Optional

Gets or sets the number of messages that received complaints.

discardedinteger · int32Optional

Gets or sets the number of messages that were discarded before sending.

failedinteger · int32Optional

Gets or sets the number of messages that failed to send.

queuedinteger · int32Optional

Gets or sets the number of messages currently queued for sending.

sentinteger · int32Optional

Gets or sets the number of messages that were successfully sent.

totalinteger · int32Optional

Gets or sets the total number of messages in the batch.

subjectstringOptional

Gets or sets the subject for messages in this batch.

statusstringOptional

Gets or sets the current status of the batch.

statusReasonstring · nullableOptional

Gets or sets the reason for the current status of the batch.

typestringOptional

Gets or sets the type of batch.

payloadstring · nullableOptional

Gets or sets the payload data used for template-based batches.

sendContextstringOptional

Gets or sets the send context of the batch.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/notifications/batches/{id}
GET /public/v1/notifications/batches/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "processed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "account": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active",
    "externalIds": {
      "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
    },
    "externalId": "text",
    "externalName": "text",
    "address": {
      "addressLine1": "text",
      "addressLine2": "text",
      "postCode": "text",
      "city": "text",
      "state": "text",
      "country": "text"
    },
    "technicalSupportEmail": "text",
    "website": "text",
    "description": "text",
    "groups": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "logo": "text",
        "isDefault": true
      }
    ],
    "eligibility": {
      "client": true,
      "partner": true
    },
    "defaultLanguageCode": "text"
  },
  "attachments": [
    {
      "id": "text",
      "href": "text",
      "name": "text",
      "fileName": "text",
      "fileSize": 1,
      "contentType": "text"
    }
  ],
  "body": "text",
  "category": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "published": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "unpublished": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "revision": 1,
    "description": "text",
    "optOutAllowed": true,
    "status": "text",
    "note": "text",
    "deleteAllowed": true,
    "statistics": {
      "month": 1,
      "today": 1,
      "week": 1
    },
    "lastUsed": "2026-01-01T00:00:00.000Z",
    "enabledByDefault": true
  },
  "template": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "disabled": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "revision": 1,
    "category": {
      "id": "text",
      "name": "text",
      "revision": 1,
      "description": "text",
      "lastUsed": "2026-01-01T00:00:00.000Z"
    },
    "criteria": {
      "accountTypes": [
        "text"
      ],
      "filterCondition": "text",
      "objectType": "text",
      "recipients": {
        "selector": "text"
      }
    },
    "defaultVariant": {
      "id": "text",
      "revision": 1,
      "default": true,
      "languageCode": "text",
      "status": "text"
    },
    "description": "text",
    "lastUsed": "2026-01-01T00:00:00.000Z",
    "owner": {
      "id": "text",
      "name": "text",
      "icon": "text",
      "revision": 1,
      "type": "Client",
      "status": "Active"
    },
    "statistics": {
      "month": 1,
      "today": 1,
      "week": 1
    },
    "status": "text",
    "variants": [
      {
        "id": "text",
        "revision": 1,
        "default": true,
        "languageCode": "text",
        "status": "text"
      }
    ],
    "externalId": "text"
  },
  "statistics": {
    "bounced": 1,
    "complained": 1,
    "discarded": 1,
    "failed": 1,
    "queued": 1,
    "sent": 1,
    "total": 1
  },
  "subject": "text",
  "status": "text",
  "statusReason": "text",
  "type": "text",
  "payload": "text",
  "sendContext": "text",
  "sourceAccount": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  }
}

Gets a list of resources.

get

Supports RQL filtering, sorting, and pagination via query string parameters.

Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
idstringOptional

Gets or sets the unique identifier for the attachment.

hrefstring · nullableRead-onlyOptional

Gets the URL to download the attachment.

namestringOptional

Gets or sets the display name for the attachment.

fileNamestringOptional

Gets or sets the file name of the attachment.

fileSizeinteger · int32Optional

Gets or sets the size of the attachment in bytes.

contentTypestringOptional

Gets or sets the content type of the attachment.

bodystring · nullableOptional

Gets or sets the body content for messages in this batch.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

optOutAllowedbooleanOptional

Gets or sets a value indicating whether recipients can opt out of notifications in this category.

statusstringOptional

Gets or sets the current status of the category.

notestring · nullableOptional

Gets or sets an optional note about the category.

deleteAllowedbooleanOptional

Gets or sets a value indicating whether this category can be deleted.

monthinteger · int32Optional

Gets or sets the number of messages sent in the current month.

todayinteger · int32Optional

Gets or sets the number of messages sent today.

weekinteger · int32Optional

Gets or sets the number of messages sent in the current week.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

enabledByDefaultbooleanOptional

Gets or sets a value indicating whether this category is enabled by default for new recipients.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

accountTypesstring[]Optional

Gets or sets the list of account types for which this template should trigger.

filterConditionstringOptional

Gets or sets the RQL filter condition that must be satisfied for the template to trigger.

objectTypestringOptional

Gets or sets the platform object type this template monitors.

selectorstringOptional

Gets or sets the RQL filter condition that must be satisfied for the template to trigger.

idstringOptional
revisioninteger · int32Optional
defaultbooleanOptional

Gets or sets a value indicating whether this is the default variant for the parent template.

languageCodestringOptional

Gets or sets the language code for this variant.

statusstringOptional

Gets or sets the current status of the variant.

descriptionstring · nullableOptional

Gets or sets the description of this template.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this template was last used to send a notification.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
monthinteger · int32Optional

Gets or sets the number of messages sent in the current month.

todayinteger · int32Optional

Gets or sets the number of messages sent today.

weekinteger · int32Optional

Gets or sets the number of messages sent in the current week.

statusstringOptional

Gets or sets the current status of the template.

idstringOptional
revisioninteger · int32Optional
defaultbooleanOptional

Gets or sets a value indicating whether this is the default variant for the parent template.

languageCodestringOptional

Gets or sets the language code for this variant.

statusstringOptional

Gets or sets the current status of the variant.

externalIdstring · nullableOptional

Gets or sets an external identifier for integration with external systems.

bouncedinteger · int32Optional

Gets or sets the number of messages that bounced.

complainedinteger · int32Optional

Gets or sets the number of messages that received complaints.

discardedinteger · int32Optional

Gets or sets the number of messages that were discarded before sending.

failedinteger · int32Optional

Gets or sets the number of messages that failed to send.

queuedinteger · int32Optional

Gets or sets the number of messages currently queued for sending.

sentinteger · int32Optional

Gets or sets the number of messages that were successfully sent.

totalinteger · int32Optional

Gets or sets the total number of messages in the batch.

subjectstringOptional

Gets or sets the subject for messages in this batch.

statusstringOptional

Gets or sets the current status of the batch.

statusReasonstring · nullableOptional

Gets or sets the reason for the current status of the batch.

typestringOptional

Gets or sets the type of batch.

payloadstring · nullableOptional

Gets or sets the payload data used for template-based batches.

sendContextstringOptional

Gets or sets the send context of the batch.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/notifications/batches
GET /public/v1/notifications/batches HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "completed": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "processed": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "revision": 1,
      "account": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active",
        "externalIds": {
          "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
        },
        "externalId": "text",
        "externalName": "text",
        "address": {
          "addressLine1": "text",
          "addressLine2": "text",
          "postCode": "text",
          "city": "text",
          "state": "text",
          "country": "text"
        },
        "technicalSupportEmail": "text",
        "website": "text",
        "description": "text",
        "groups": [
          {
            "id": "text",
            "name": "text",
            "revision": 1,
            "description": "text",
            "logo": "text",
            "isDefault": true
          }
        ],
        "eligibility": {
          "client": true,
          "partner": true
        },
        "defaultLanguageCode": "text"
      },
      "attachments": [
        {
          "id": "text",
          "href": "text",
          "name": "text",
          "fileName": "text",
          "fileSize": 1,
          "contentType": "text"
        }
      ],
      "body": "text",
      "category": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "published": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "unpublished": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "deleted": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "revision": 1,
        "description": "text",
        "optOutAllowed": true,
        "status": "text",
        "note": "text",
        "deleteAllowed": true,
        "statistics": {
          "month": 1,
          "today": 1,
          "week": 1
        },
        "lastUsed": "2026-01-01T00:00:00.000Z",
        "enabledByDefault": true
      },
      "template": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "activated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "deleted": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "disabled": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "revision": 1,
        "category": {
          "id": "text",
          "name": "text",
          "revision": 1,
          "description": "text",
          "lastUsed": "2026-01-01T00:00:00.000Z"
        },
        "criteria": {
          "accountTypes": [
            "text"
          ],
          "filterCondition": "text",
          "objectType": "text",
          "recipients": {
            "selector": "text"
          }
        },
        "defaultVariant": {
          "id": "text",
          "revision": 1,
          "default": true,
          "languageCode": "text",
          "status": "text"
        },
        "description": "text",
        "lastUsed": "2026-01-01T00:00:00.000Z",
        "owner": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        },
        "statistics": {
          "month": 1,
          "today": 1,
          "week": 1
        },
        "status": "text",
        "variants": [
          {
            "id": "text",
            "revision": 1,
            "default": true,
            "languageCode": "text",
            "status": "text"
          }
        ],
        "externalId": "text"
      },
      "statistics": {
        "bounced": 1,
        "complained": 1,
        "discarded": 1,
        "failed": 1,
        "queued": 1,
        "sent": 1,
        "total": 1
      },
      "subject": "text",
      "status": "text",
      "statusReason": "text",
      "type": "text",
      "payload": "text",
      "sendContext": "text",
      "sourceAccount": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      }
    }
  ]
}
post

Creates and queues a batch of raw messages with file attachments. Use multipart/form-data content type to include files.

Body
idstringOptional
subjectstring · nullableOptionalDeprecated
bodystring · nullableOptionalDeprecated
idstring · nullableOptional
emailstring · nullableOptional
idstringOptional
idstring · nullableOptional
erpCustomerIdstringOptional
idstring · nullableOptional
externalIdstring · nullableOptional
languageCodestring · nullableOptional
Other propertiesanyOptional
testbooleanOptional
idstringOptional
subjectstringOptional
bodystringOptional
idstringOptional
idstring · nullableOptional
erpCustomerIdstringOptional
idstringOptional
idstring · nullableOptional
emailstring · nullableOptional
formobjectOptional
Responses
201

Created

application/json

Represents a batch of notification messages that share common properties.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
idstringOptional

Gets or sets the unique identifier for the attachment.

hrefstring · nullableRead-onlyOptional

Gets the URL to download the attachment.

namestringOptional

Gets or sets the display name for the attachment.

fileNamestringOptional

Gets or sets the file name of the attachment.

fileSizeinteger · int32Optional

Gets or sets the size of the attachment in bytes.

contentTypestringOptional

Gets or sets the content type of the attachment.

bodystring · nullableOptional

Gets or sets the body content for messages in this batch.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

optOutAllowedbooleanOptional

Gets or sets a value indicating whether recipients can opt out of notifications in this category.

statusstringOptional

Gets or sets the current status of the category.

notestring · nullableOptional

Gets or sets an optional note about the category.

deleteAllowedbooleanOptional

Gets or sets a value indicating whether this category can be deleted.

monthinteger · int32Optional

Gets or sets the number of messages sent in the current month.

todayinteger · int32Optional

Gets or sets the number of messages sent today.

weekinteger · int32Optional

Gets or sets the number of messages sent in the current week.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

enabledByDefaultbooleanOptional

Gets or sets a value indicating whether this category is enabled by default for new recipients.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

accountTypesstring[]Optional

Gets or sets the list of account types for which this template should trigger.

filterConditionstringOptional

Gets or sets the RQL filter condition that must be satisfied for the template to trigger.

objectTypestringOptional

Gets or sets the platform object type this template monitors.

selectorstringOptional

Gets or sets the RQL filter condition that must be satisfied for the template to trigger.

idstringOptional
revisioninteger · int32Optional
defaultbooleanOptional

Gets or sets a value indicating whether this is the default variant for the parent template.

languageCodestringOptional

Gets or sets the language code for this variant.

statusstringOptional

Gets or sets the current status of the variant.

descriptionstring · nullableOptional

Gets or sets the description of this template.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this template was last used to send a notification.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
monthinteger · int32Optional

Gets or sets the number of messages sent in the current month.

todayinteger · int32Optional

Gets or sets the number of messages sent today.

weekinteger · int32Optional

Gets or sets the number of messages sent in the current week.

statusstringOptional

Gets or sets the current status of the template.

idstringOptional
revisioninteger · int32Optional
defaultbooleanOptional

Gets or sets a value indicating whether this is the default variant for the parent template.

languageCodestringOptional

Gets or sets the language code for this variant.

statusstringOptional

Gets or sets the current status of the variant.

externalIdstring · nullableOptional

Gets or sets an external identifier for integration with external systems.

bouncedinteger · int32Optional

Gets or sets the number of messages that bounced.

complainedinteger · int32Optional

Gets or sets the number of messages that received complaints.

discardedinteger · int32Optional

Gets or sets the number of messages that were discarded before sending.

failedinteger · int32Optional

Gets or sets the number of messages that failed to send.

queuedinteger · int32Optional

Gets or sets the number of messages currently queued for sending.

sentinteger · int32Optional

Gets or sets the number of messages that were successfully sent.

totalinteger · int32Optional

Gets or sets the total number of messages in the batch.

subjectstringOptional

Gets or sets the subject for messages in this batch.

statusstringOptional

Gets or sets the current status of the batch.

statusReasonstring · nullableOptional

Gets or sets the reason for the current status of the batch.

typestringOptional

Gets or sets the type of batch.

payloadstring · nullableOptional

Gets or sets the payload data used for template-based batches.

sendContextstringOptional

Gets or sets the send context of the batch.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/notifications/batches
POST /public/v1/notifications/batches HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 399

{
  "batch": {
    "content": {
      "templated": {
        "template": {
          "id": "text",
          "externalId": "text",
          "languageCode": "text"
        },
        "data": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "test": true
      },
      "raw": {
        "category": {
          "id": "text"
        },
        "subject": "text",
        "body": "text"
      }
    },
    "recipients": {
      "account": {
        "id": "text"
      },
      "buyer": {
        "id": "text",
        "externalIds": {
          "erpCustomerId": "text"
        }
      },
      "user": {
        "id": "text"
      },
      "contacts": [
        {
          "id": "text",
          "email": "text"
        }
      ]
    }
  },
  "form": {}
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "processed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "account": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active",
    "externalIds": {
      "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
    },
    "externalId": "text",
    "externalName": "text",
    "address": {
      "addressLine1": "text",
      "addressLine2": "text",
      "postCode": "text",
      "city": "text",
      "state": "text",
      "country": "text"
    },
    "technicalSupportEmail": "text",
    "website": "text",
    "description": "text",
    "groups": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "logo": "text",
        "isDefault": true
      }
    ],
    "eligibility": {
      "client": true,
      "partner": true
    },
    "defaultLanguageCode": "text"
  },
  "attachments": [
    {
      "id": "text",
      "href": "text",
      "name": "text",
      "fileName": "text",
      "fileSize": 1,
      "contentType": "text"
    }
  ],
  "body": "text",
  "category": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "published": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "unpublished": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "revision": 1,
    "description": "text",
    "optOutAllowed": true,
    "status": "text",
    "note": "text",
    "deleteAllowed": true,
    "statistics": {
      "month": 1,
      "today": 1,
      "week": 1
    },
    "lastUsed": "2026-01-01T00:00:00.000Z",
    "enabledByDefault": true
  },
  "template": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "activated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "disabled": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "revision": 1,
    "category": {
      "id": "text",
      "name": "text",
      "revision": 1,
      "description": "text",
      "lastUsed": "2026-01-01T00:00:00.000Z"
    },
    "criteria": {
      "accountTypes": [
        "text"
      ],
      "filterCondition": "text",
      "objectType": "text",
      "recipients": {
        "selector": "text"
      }
    },
    "defaultVariant": {
      "id": "text",
      "revision": 1,
      "default": true,
      "languageCode": "text",
      "status": "text"
    },
    "description": "text",
    "lastUsed": "2026-01-01T00:00:00.000Z",
    "owner": {
      "id": "text",
      "name": "text",
      "icon": "text",
      "revision": 1,
      "type": "Client",
      "status": "Active"
    },
    "statistics": {
      "month": 1,
      "today": 1,
      "week": 1
    },
    "status": "text",
    "variants": [
      {
        "id": "text",
        "revision": 1,
        "default": true,
        "languageCode": "text",
        "status": "text"
      }
    ],
    "externalId": "text"
  },
  "statistics": {
    "bounced": 1,
    "complained": 1,
    "discarded": 1,
    "failed": 1,
    "queued": 1,
    "sent": 1,
    "total": 1
  },
  "subject": "text",
  "status": "text",
  "statusReason": "text",
  "type": "text",
  "payload": "text",
  "sendContext": "text",
  "sourceAccount": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  }
}
get

Returns the attachment metadata. Use Accept header to control response format.

Path parameters
batchIdstringRequired

The batch ID.

attachmentIdstringRequired

The attachment ID.

Responses
200

OK

Represents a file attachment associated with a notification message or batch.

idstringOptional

Gets or sets the unique identifier for the attachment.

hrefstring · nullableRead-onlyOptional

Gets the URL to download the attachment.

namestringOptional

Gets or sets the display name for the attachment.

fileNamestringOptional

Gets or sets the file name of the attachment.

fileSizeinteger · int32Optional

Gets or sets the size of the attachment in bytes.

contentTypestringOptional

Gets or sets the content type of the attachment.

301

Moved Permanently

No content

get/public/v1/notifications/batches/{batchId}/attachments/{attachmentId}
GET /public/v1/notifications/batches/{batchId}/attachments/{attachmentId} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "href": "text",
  "name": "text",
  "fileName": "text",
  "fileSize": 1,
  "contentType": "text"
}

Creates a new message batch with attachments.

Gets a batch attachment.